# Function isQueryBoundWitness

- isQueryBoundWitness(x?): x is SchemaFields & PayloadFields & BoundWitnessFields & {
  query: string;
  resultSet?: string;
  schema: "network.xyo.boundwitness";
  }

- #### Parameters

  - ##### `Optional` x: null | SchemaFields & PayloadFields & {
    schema: string;
    }

  #### Returns x is SchemaFields & PayloadFields & BoundWitnessFields & {
  query: string;
  resultSet?: string;
  schema: "network.xyo.boundwitness";
  }

  - Defined in modules/packages/module/packages/model/dist/types/Query/QueryBoundWitness.d.ts:10

Generated using TypeDoc